"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeConfig = exports.loadConfig = exports.axiosPostConfig = void 0;
const yaml_1 = __importDefault(require("yaml"));
const fs_1 = __importDefault(require("fs"));
exports.axiosPostConfig = {
    responseType: "json",
    headers: {
        "Content-Type": "application/json;charset=utf-8"
    }
};
async function loadConfig() {
    return yaml_1.default.parse(await fs_1.default.promises.readFile("./config.yaml", "utf-8"));
}
exports.loadConfig = loadConfig;
async function writeConfig(config) {
    await fs_1.default.promises.writeFile("./config.yaml", yaml_1.default.stringify(config));
}
exports.writeConfig = writeConfig;
//# sourceMappingURL=config.js.map